<?xml version="1.0" encoding="utf-8"?>

<!--
  有关如何配置 ASP.NET 应用程序的详细消息,请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->

<configuration>
  <system.webServer>
    
    <modules runAllManagedModulesForAllRequests="true">
      <add name="DomainServiceModule" preCondition="managedHandler" type="System.ServiceModel.DomainServices.Hosting.DomainServiceHttpModule, System.ServiceModel.DomainServices.Hosting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </modules>
    <validation validateIntegratedModeConfiguration="false" />
        <defaultDocument>
            <files>
                <clear/>
                <add value="default.aspx" />
                <add value="Default.htm" />
                <add value="Default.asp" />
                <add value="index.htm" />
                <add value="index.html" />
                <add value="iisstart.htm" />

            </files>
        </defaultDocument>
  </system.webServer>
  <system.web>
    
    <httpModules>
      <add name="DomainServiceModule" type="System.ServiceModel.DomainServices.Hosting.DomainServiceHttpModule, System.ServiceModel.DomainServices.Hosting, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </httpModules>

    <compilation targetFramework="4.0" />
    <authentication mode="Forms">
      <forms loginUrl="~/Account/Login.aspx" name=".ASPXFORMSAUTH" timeout="26297438"
           cookieless="UseCookies"></forms>
    </authentication>
  </system.web>

  <system.serviceModel>
    
    <services>
      <service name="KingType.NMPv1.App.Web.ClientInformationManagement">
        <endpoint address="" binding="customBinding" bindingConfiguration="KingType.NMPv1.App.Web.ClientInformationManagement.customBinding0" contract="KingType.NMPv1.App.Web.ClientInformationManagement" />
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
      </service>
    </services>
    <bindings>
      <basicHttpBinding>
        <binding name="BasicBinding" receiveTimeout="00:20:00" sendTimeout="00:10:00" maxBufferSize="2147483647" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" />
      </basicHttpBinding>
      <customBinding>
        <binding name="KingType.NMPv1.App.Web.ClientInformationManagement.customBinding0">
          <binaryMessageEncoding/>
          <httpTransport/>
        </binding>
      </customBinding>
    </bindings>

    <behaviors>
      <serviceBehaviors>
        <behavior>
          <serviceMetadata httpGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
          <dataContractSerializer maxItemsInObjectGraph="2147483647" />　
        </behavior>
      </serviceBehaviors>
    </behaviors>

    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true" />
    
  </system.serviceModel>
  <connectionStrings>
    <add name="NMPConnection" connectionString="User Id=nms_en;Password=ktcatv;Data Source=10.2.19.121/ktdev" providerName="Oracle.DataAccess.Client" />
  </connectionStrings>
  
  <appSettings> 
    <add key="DownLoadFilePath" value="E:\Dev\NMS_ENGLISH\App\App.Web\ClientBin" />
    <add key="CurrentCulture" value="en-US" />
  </appSettings>
  
  
</configuration>
